/// <reference types="node" />
import { Transform } from "stream";
import { EventEmitter } from "events";
import { messages } from "@cucumber/messages";
import { compile } from "./template";
declare global {
    interface Window {
        testState: {
            gherkinDocument: messages.IGherkinDocument;
            pickles: messages.IPickle[];
            pickle: messages.IPickle;
        };
    }
}
export declare function transform(filepath: string): Transform;
declare type ICypressPreprocessorFile = EventEmitter & {
    filePath: string;
    outputPath: string;
    shouldWatch: boolean;
};
export declare function preprocessor(options?: any): (file: ICypressPreprocessorFile) => any;
export { compile };
export default preprocessor;
